# osggeometry.cpp File Reference

`#include <osg/Geode>`
`#include <osg/Geometry>`
`#include <osg/Material>`
`#include <osg/Vec3>`
`#include <osg/MatrixTransform>`
`#include <osg/Texture2D>`
`#include <osg/PolygonStipple>`
`#include <osg/TriangleFunctor>`
`#include <osgDB/ReadFile>`
`#include <osgDB/WriteFile>`
`#include <osgGA/TrackballManipulator>`
`#include <osgProducer/Viewer>`
`#include <osg/Math>`

Include dependency graph for osggeometry.cpp:

## Functions

void | printTriangles (const std::string &name, osg::Drawable &drawable)
osg::Node * | createScene ()
osg::Node * | createBackground ()
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createBackground | ( |  | ) |

osg::Node* createScene | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |

void printTriangles | ( | const std::string & | name,
|  | osg::Drawable & | drawable
| ) |